Subject: [PATCH 00/10] netdev: get rid of read_lock(&dev_base_lock) usages

From: Stephen Hemminger <[email-masked]>
Date: Tue, 10 Nov 2009 09:54:46 -0800

The goal is to eliminate dev_base_lock completely, and just use RCU
and rtnl_mutex for network devices. This series gets rid of the many
of the users of dev_base_lock just for reading.

--